Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class PatternInfo

    java.lang.Object
      jet.report.xls.PatternInfo

    public class PatternInfo

extends java.lang.Object

contains the information of Area fill effects in the file.

Field Summary
`static int` | `DARK_DIAGDOWN`
`static int` | `DARK_DIAGUP`
`static int` | `DARK_HORIZONTAL`
`static int` | `DARK_VERTICAL`
`static int` | `DASHED_DIAGDOWN`
`static int` | `DASHED_DIAGUP`
`static int` | `DASHED_HORIZONTAL`
`static int` | `DASHED_VERTICAL`
`static int` | `DIAGONAL_BRICK`
`static int` | `DIVOT`
`static int` | `DOTTED_DIAMOND`
`static int` | `DOTTED_GRID`
`static int` | `HORIZONTAL_BRICK`
`static int` | `LARGE_CHECKERBOARD`
`static int` | `LARGE_CONFETTI`
`static int` | `LARGE_GRID`
`static int` | `LIGHT_DIAGDOWN`
`static int` | `LIGHT_DIAGUP`
`static int` | `LIGHT_HORIZONTAL`
`static int` | `LIGHT_VERTICAL`
`static int` | `NARROW_HORIZONTAL`
`static int` | `NARROW_VERTICAL`
`static int` | `OUTLINE_DIAMOND`
`static int` | `PERCENT10`
`static int` | `PERCENT20`
`static int` | `PERCENT25`
`static int` | `PERCENT30`
`static int` | `PERCENT40`
`static int` | `PERCENT5`
`static int` | `PERCENT50`
`static int` | `PERCENT60`
`static int` | `PERCENT70`
`static int` | `PERCENT75`
`static int` | `PERCENT80`
`static int` | `PERCENT90`
`static int` | `PLAID`
`static int` | `SHINGLE`
`static int` | `SMALL_CHECKERBOARD`
`static int` | `SMALL_CONFETTI`
`static int` | `SMALL_GRID`
`static int` | `SOLID_DIAMOND`
`static int` | `SPHERE`
`static int` | `TRELLIS`
`static int` | `WAVE`
`static int` | `WEAVE`
`static int` | `WIDE_DIAGDOWN`
`static int` | `WIDE_DIAGUP`
`static int` | `ZIG_ZAG`

Constructor Summary
`PatternInfo()` Constructs a PatternInfo record
`PatternInfo(int rgb1, int rgb2, int type, GlobalWorksheet gws)` Constructs a PatternInfo record and sets its fields appropriately.

Method Summary
`int` | `getColor1()` Get the first color of gradient color
`int` | `getColor2()` Get the the second color of gradient color
`int` | `getType()` get the type of pattern color PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)
`void` | `setColor1(int color, GlobalWorksheet gws)` Set the first color of gradient color
`void` | `setColor2(int color, GlobalWorksheet gws)` Set the second color of gradient color
`void` | `setType(int type)` set the type of pattern color, PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERCENT5

    public static final int PERCENT5

See Also:
  Constant Field Values

### PERCENT10

    public static final int PERCENT10

See Also:
  Constant Field Values

### PERCENT20

    public static final int PERCENT20

See Also:
  Constant Field Values

### PERCENT25

    public static final int PERCENT25

See Also:
  Constant Field Values

### PERCENT30

    public static final int PERCENT30

See Also:
  Constant Field Values

### PERCENT40

    public static final int PERCENT40

See Also:
  Constant Field Values

### PERCENT50

    public static final int PERCENT50

See Also:
  Constant Field Values

### PERCENT60

    public static final int PERCENT60

See Also:
  Constant Field Values

### PERCENT70

    public static final int PERCENT70

See Also:
  Constant Field Values

### PERCENT75

    public static final int PERCENT75

See Also:
  Constant Field Values

### PERCENT80

    public static final int PERCENT80

See Also:
  Constant Field Values

### PERCENT90

    public static final int PERCENT90

See Also:
  Constant Field Values

### LIGHT_DIAGDOWN

    public static final int LIGHT_DIAGDOWN

See Also:
  Constant Field Values

### LIGHT_DIAGUP

    public static final int LIGHT_DIAGUP

See Also:
  Constant Field Values

### DARK_DIAGDOWN

    public static final int DARK_DIAGDOWN

See Also:
  Constant Field Values

### DARK_DIAGUP

    public static final int DARK_DIAGUP

See Also:
  Constant Field Values

### WIDE_DIAGDOWN

    public static final int WIDE_DIAGDOWN

See Also:
  Constant Field Values

### WIDE_DIAGUP

    public static final int WIDE_DIAGUP

See Also:
  Constant Field Values

### LIGHT_VERTICAL

    public static final int LIGHT_VERTICAL

See Also:
  Constant Field Values

### LIGHT_HORIZONTAL

    public static final int LIGHT_HORIZONTAL

See Also:
  Constant Field Values

### NARROW_VERTICAL

    public static final int NARROW_VERTICAL

See Also:
  Constant Field Values

### NARROW_HORIZONTAL

    public static final int NARROW_HORIZONTAL

See Also:
  Constant Field Values

### DARK_VERTICAL

    public static final int DARK_VERTICAL

See Also:
  Constant Field Values

### DARK_HORIZONTAL

    public static final int DARK_HORIZONTAL

See Also:
  Constant Field Values

### DASHED_DIAGDOWN

    public static final int DASHED_DIAGDOWN

See Also:
  Constant Field Values

### DASHED_DIAGUP

    public static final int DASHED_DIAGUP

See Also:
  Constant Field Values

### DASHED_HORIZONTAL

    public static final int DASHED_HORIZONTAL

See Also:
  Constant Field Values

### DASHED_VERTICAL

    public static final int DASHED_VERTICAL

See Also:
  Constant Field Values

### SMALL_CONFETTI

    public static final int SMALL_CONFETTI

See Also:
  Constant Field Values

### LARGE_CONFETTI

    public static final int LARGE_CONFETTI

See Also:
  Constant Field Values

### ZIG_ZAG

    public static final int ZIG_ZAG

See Also:
  Constant Field Values

### WAVE

    public static final int WAVE

See Also:
  Constant Field Values

### DIAGONAL_BRICK

    public static final int DIAGONAL_BRICK

See Also:
  Constant Field Values

### HORIZONTAL_BRICK

    public static final int HORIZONTAL_BRICK

See Also:
  Constant Field Values

### WEAVE

    public static final int WEAVE

See Also:
  Constant Field Values

### PLAID

    public static final int PLAID

See Also:
  Constant Field Values

### DIVOT

    public static final int DIVOT

See Also:
  Constant Field Values

### DOTTED_GRID

    public static final int DOTTED_GRID

See Also:
  Constant Field Values

### DOTTED_DIAMOND

    public static final int DOTTED_DIAMOND

See Also:
  Constant Field Values

### SHINGLE

    public static final int SHINGLE

See Also:
  Constant Field Values

### TRELLIS

    public static final int TRELLIS

See Also:
  Constant Field Values

### SPHERE

    public static final int SPHERE

See Also:
  Constant Field Values

### SMALL_GRID

    public static final int SMALL_GRID

See Also:
  Constant Field Values

### LARGE_GRID

    public static final int LARGE_GRID

See Also:
  Constant Field Values

### SMALL_CHECKERBOARD

    public static final int SMALL_CHECKERBOARD

See Also:
  Constant Field Values

### LARGE_CHECKERBOARD

    public static final int LARGE_CHECKERBOARD

See Also:
  Constant Field Values

### OUTLINE_DIAMOND

    public static final int OUTLINE_DIAMOND

See Also:
  Constant Field Values

### SOLID_DIAMOND

    public static final int SOLID_DIAMOND

See Also:
  Constant Field Values

Constructor Detail

### PatternInfo

    public PatternInfo()

  Constructs a PatternInfo record

### PatternInfo

    public PatternInfo(int rgb1,
                       int rgb2,
                       int type,
                       GlobalWorksheet gws)

  Constructs a PatternInfo record and sets its fields appropriately.

  Parameters:
    `rgb1` - The color1 in the gradient color
    `rgb2` - The color2 in the gradient color
    `type` - Type of pattern PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)

Method Detail

### setColor1

    public void setColor1(int color,
                          GlobalWorksheet gws)

  Set the first color of gradient color

  Parameters:
    `color` - first color of gradient color

### getColor1

    public int getColor1()

  Get the first color of gradient color

  Returns:
    the first color of gradient color

### setColor2

    public void setColor2(int color,
                          GlobalWorksheet gws)

  Set the second color of gradient color

  Parameters:
    `color` - the second color of gradient color

### getColor2

    public int getColor2()

  Get the the second color of gradient color

  Returns:
    the second color of gradient color

### setType

    public void setType(int type)

  set the type of pattern color, PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)

  Parameters:
    `type` - is the type of pattern color
  See Also:
    `PERCENT5`, `LIGHT_DIAGDOWN`, `LIGHT_VERTICAL`, `DASHED_DIAGDOWN`, `ZIG_ZAG`, `DIVOT`, `SMALL_GRID`

### getType

    public int getType()

  get the type of pattern color PERCENT5, LIGHT_DIAGDOWN and so on(48 kinds)

  Returns:
    type of pattern color
  See Also:
    `PERCENT5`, `LIGHT_DIAGDOWN`, `LIGHT_VERTICAL`, `DASHED_DIAGDOWN`, `ZIG_ZAG`, `DIVOT`, `SMALL_GRID`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD